﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Charting;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {

            List<ChartData> data = new List<ChartData>();
            data.Add(new ChartData() { Value1 = 100, Value2 = 200, MonthDay = new DateTime(2011, 9, 1, 0, 0, 0).ToOADate() });
            data.Add(new ChartData() { Value1 = 150, Value2 = 150, MonthDay = new DateTime(2011, 10, 1, 0, 0, 0).ToOADate() });
            data.Add(new ChartData() { Value1 = 250, Value2 = 200, MonthDay = new DateTime(2011, 11, 1, 0, 0, 0).ToOADate() });
            data.Add(new ChartData() { Value1 = 150, Value2 = 500, MonthDay = new DateTime(2011, 12, 1, 0, 0, 0).ToOADate() });
            data.Add(new ChartData() { Value1 = 400, Value2 = 200, MonthDay = new DateTime(2012, 1, 1, 0, 0, 0).ToOADate() });
            data.Add(new ChartData() { Value1 = 150, Value2 = 250, MonthDay = new DateTime(2012, 2, 1, 0, 0, 0).ToOADate() });
            data.Add(new ChartData() { Value1 = 200, Value2 = 350, MonthDay = new DateTime(2012, 3, 1, 0, 0, 0).ToOADate() });


            ChartSeries series1 = new ChartSeries();
            series1.Type = ChartSeriesType.Bar;
            series1.DataYColumn = "Value1";
            series1.DataXColumn = "MonthDay";
            series1.Name = "Series 1";
            radChart.Series.Add(series1);

            ChartSeries series2 = new ChartSeries();
            series2.Type = ChartSeriesType.Bar;
            series2.DataYColumn = "Value2";
            series2.Name = "Series 2";
            series2.DataXColumn = "MonthDay";
            radChart.Series.Add(series2);

            radChart.PlotArea.XAxis.Appearance.ValueFormat = Telerik.Charting.Styles.ChartValueFormat.ShortDate;
            radChart.PlotArea.XAxis.Appearance.CustomFormat = "MM/yyy ";
            radChart.PlotArea.XAxis.AutoScale = false;
            double min = new DateTime(2011, 9, 1, 0, 0, 0).ToOADate();
            double max = new DateTime(2012, 4, 1, 0, 0, 0).ToOADate();
            double step = 31; 
            radChart.PlotArea.XAxis.AddRange(min, max, step);

            radChart.PlotArea.YAxis.AutoScale = false;
            //radChart.PlotArea.YAxis.AddRange(0, 500, 100);
            radChart.PlotArea.YAxis.ScaleBreaks.Enabled = true;
            radChart.PlotArea.YAxis.ScaleBreaks.Segments.Add(new AxisSegment() { MinValue = 0, MaxValue = 150, Step = 10 });
            radChart.PlotArea.YAxis.ScaleBreaks.Segments.Add(new AxisSegment() { MinValue = 151, MaxValue = 500, Step = 10 });
            radChart.DataSource = data;
            radChart.DataBind();
        }
    }

    public class ChartData
    {
        public double? Value1
        {
            get;
            set;
        }

        public double? Value2
        {
            get;
            set;
        }

        public double? MonthDay
        {
            get;
            set;
        }

    }
}
